Name:           cups-x2go
Version:        3.0.1.3
Release:        1%{?dist}
Summary:        CUPS backend for printing from X2Go

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       cups
Requires:       ghostscript
Requires:       openssh-clients

%description
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick

CUPS backend for printing from X2Go.


%prep
%setup -q


%install
mkdir -p %{buildroot}%{_prefix}/lib/cups/backend/
# The cups-x2go backends wants root permissions. So give it to them.
# http://www.cups.org/documentation.php/doc-1.4/man-backend.html says:
# “Backends without world execute permissions are run as the root user.
# Otherwise, the backend is run using the unprivileged user account,
# typically "lp".”
install -pm700 cups-x2go %{buildroot}%{_prefix}/lib/cups/backend/
mkdir -p %{buildroot}%{_sysconfdir}/cups/
cp -p cups-x2go.conf %{buildroot}%{_sysconfdir}/cups/
mkdir -p %{buildroot}%{_datadir}/ppd/cups-x2go/
cp -p CUPS-X2GO.ppd %{buildroot}%{_datadir}/ppd/cups-x2go/
mkdir -p %{buildroot}%{_datadir}/x2go/versions
cp -p VERSION.cups-x2go %{buildroot}%{_datadir}/x2go/versions/


%files
%doc ChangeLog COPYING README.txt
%{_prefix}/lib/cups/backend/cups-x2go
%config(noreplace) %{_sysconfdir}/cups/cups-x2go.conf
%{_datadir}/ppd/cups-x2go/
%{_datadir}/x2go/


%changelog
* Fri Jun 19 2015 Orion Poplawski <orion@cora.nwra.com> - 3.0.1.3-1
- Update to 3.0.1.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 Orion Poplawski <orion@cora.nwra.com> - 3.0.1.1-1
- Update to 3.0.1.1
- Require openssh-clients

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 9 2014 Orion Poplawski <orion@cora.nwra.com> - 3.0.1.0-1
- Update to 3.0.1.0

* Wed Sep 4 2013 Orion Poplawski <orion@cora.nwra.com> 3.0.0.4-2
- Use install to set permissions on cups-x2go
- Drop %%doc for now
- Mark config file as %%config(noreplace)
- Fix Group
- Drop tabs

* Fri Dec 14 2012 Orion Poplawski <orion@cora.nwra.com> 3.0.0.4-1
- Initial Fedora package
